POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "07688b7d-49a5-4486-8272-72797a0e13f8",
"cleanroom_type_id": "0205394c-99e2-43b1-a0fb-e44477177f62",
"code": 3,
"date_hu": "2026-09-25T09:11:05.2237084+00:00",
"id": "9d7c9d08-7b58-4387-ad96-e53fbb2f19d3",
"site_id": "a826479d-3977-4b9e-8f36-87d029cb1273",
"wash_count": 6,
"position": 1,
"pc_id": "bbe00a5e-f2df-4166-90de-59a00db7312a"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>07688b7d-49a5-4486-8272-72797a0e13f8</bag_status_id> <cleanroom_type_id>0205394c-99e2-43b1-a0fb-e44477177f62</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T09:11:05.2237084+00:00</date_hu> <id>9d7c9d08-7b58-4387-ad96-e53fbb2f19d3</id> <pc_id>bbe00a5e-f2df-4166-90de-59a00db7312a</pc_id> <position>1</position> <site_id>a826479d-3977-4b9e-8f36-87d029cb1273</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"65b2f54f-e280-4604-9598-d75c168e6a5c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">65b2f54f-e280-4604-9598-d75c168e6a5c</guid>